MagickCore: Data Fields

- All
- Functions
- Variables
- Typedefs
- Enumerations
- Enumerator
- Defines

- _
- a
- b
- c
- d
- e
- f
- g
- h
- i
- j
- k
- l
- m
- n
- o
- p
- q
- r
- s
- t
- u
- v
- w
- x
- y
- z

Here is a list of all functions, variables, defines, enums, and typedefs with links to the files they belong to:

### - a -

- AbsoluteErrorMetric : compare.h
- AbsoluteIntent : profile.h
- AccentuateFactor : decorate.c
- AccentuateModulate : decorate.c , xwindow.c
- access : nt-base.h
- AcquireCacheNexus() : cache.h , cache.c
- AcquireCachePixels() : cache.c
- AcquireCacheViewIndexes() : cache-view.c , cache-view.h
- AcquireCacheViewPixels() : cache-view.c , cache-view.h
- AcquireDrawInfo() : draw.c , draw.h
- AcquireExceptionInfo() : exception.c , exception.h
- AcquireFxInfo() : fx-private.h , fx.c
- AcquireImageInfo() : image.c , image.h
- AcquireImagePixels() : cache.c , image.h
- AcquireIndexes() : cache.c , image.h
- AcquireIndexesFromCache() : cache.c
- AcquireIndexesFromHandler : cache-private.h
- AcquireIndexesFromStream() : stream.c
- AcquireMagickMatrix() : matrix.c , matrix.h
- AcquireMagickMemory() : memory_.h , memory.c
- AcquireMagickResource() : resource.c , resource_.h
- AcquireMemory() : deprecate.c , deprecate.h
- AcquireNexusIndexes() : cache-private.h , cache.c
- AcquireNexusPixels() : cache.c
- AcquireOneCacheViewPixel() : cache-view.c , cache-view.h
- AcquireOneMagickPixel() : cache.c , image.h
- AcquireOnePixel() : cache.c , image.h
- AcquireOnePixelFromCache() : cache.c
- AcquireOnePixelFromHandler : cache-private.h
- AcquireOnePixelFromStream() : stream.c
- AcquireOneVirtualPixel() : cache.c , image.h
- AcquirePixelCache() : cache.c
- AcquirePixelHandler : cache-private.h
- AcquirePixelStream() : stream.c
- AcquireQuantizeInfo() : quantize.c , quantize.h
- AcquireQuantumInfo() : quantum.c , quantum.h
- AcquireQuantumMemory() : memory.c , memory_.h
- AcquireResampleFilter() : resample.c , resample.h
- AcquireResizeFilter() : resize.c , resize-private.h
- AcquireSemaphoreInfo() : semaphore.c , semaphore.h
- AcquireStreamInfo() : stream-private.h , stream.c
- AcquireStreamPixels() : stream.c
- AcquireString() : string.c , string_.h
- AcquireStringInfo() : string.c , string_.h
- AcquireTokenInfo() : token.c , token.h
- AcquireUniqueFilename() : utility.c , utility.h
- AcquireUniqueFileResource() : resource.c , resource_.h
- AcquireUniqueSymbolicLink() : utility.c , utility.h
- ActivateAlphaChannel : image.h
- ActiveNodes() : segment.c
- AdaptiveBlurImage() : effect.c , effect.h
- AdaptiveBlurImageChannel() : effect.c , effect.h
- AdaptiveBlurImageTag : effect.c
- AdaptiveResizeImage() : resize.c , resize.h
- AdaptiveResizeImageTag : resize.c
- AdaptiveSharpenImage() : effect.c , effect.h
- AdaptiveSharpenImageChannel() : effect.c , effect.h
- AdaptiveSharpenImageTag : effect.c
- AdaptiveThresholdImage() : threshold.c , threshold.h
- Add() : composite.c
- AddBorderCommand : display.c
- AddChildToXMLTree() : xml-tree.c , xml-tree.h
- AddCompositeOp : composite.h
- AddEvaluateOperator : fx.h
- AddFrameCommand : display.c
- AddNodeMedianList() : effect.c
- AddNoiseCommand : display.c
- AddNoiseImage() : effect.c , effect.h
- AddNoiseImageChannel() : effect.h , effect.c
- AddNoiseImageTag : effect.c
- AddNoisePreview : effect.h
- AddPathToXMLTree() : xml-tree.c , xml-tree.h
- AddValueToSplayTree() : splay-tree.c , splay-tree.h
- AffineDistortion : distort.h
- AffineEdge() : draw.c
- AffineMatrix : geometry.h
- AffineProjectionDistortion : distort.h
- AffineTransformImage() : shear.h , shear.c
- AlignOptions : option.c
- AlignType : draw.h
- AllChannels : magick-type.h
- AllCompliance : color.h
- AllEvents : log.h
- AllocateImage() : image.c , image.h
- AllocateImageColormap() : image.c , image.h
- AllocateNextImage() : image.c , image.h
- AllocateSemaphoreInfo() : semaphore.h , semaphore.c
- AllocateString() : deprecate.c , deprecate.h
- AllValues : geometry.h
- Alpha : resize.c
- AlphaChannel : magick-type.h
- AlphaChannelType : image.h
- AlphaOptions : option.c
- AlphaQuantum : quantum.h
- AndEvaluateOperator : fx.h
- AnimateHelp : animate.c
- AnimateImages() : animate.h , animate.c
- AnnotateBackgroundColorCommand : display.c
- AnnotateCommand : display.c
- AnnotateDismissCommand : display.c
- AnnotateEvent : log.h
- AnnotateFontColorCommand : display.c
- AnnotateHelpCommand : display.c
- AnnotateImage() : annotate.h , annotate.c
- AnnotateNameCommand : display.c
- AnnotateRotateCommand : display.c
- AnyStretch : type.h
- AnyStyle : type.h
- AppendImageFormat() : utility.c , utility.h
- AppendImages() : image.h , image.c
- AppendImageTag : image.c
- AppendImageToList() : list.h , list.c
- AppendValueToLinkedList() : hashmap.c , hashmap.h
- applicationShellWidgetClass : vms.h
- ApplyButtonText : widget.c
- ApplyCommand : display.c
- ApplyEvaluateOperator() : fx.c
- ApplyMenus : display.c
- ArcDistortion : distort.h
- ArcPrimitive : draw.h
- AreaIsActive : widget.c
- AreaResource : resource_.h
- AreaValue : geometry.h
- Ascii85Encode() : compress.h , compress.c
- Ascii85Flush() : compress.c , compress.h
- Ascii85Info : compress.h
- Ascii85Initialize() : compress.h , compress.c
- Ascii85Tuple() : compress.c
- AspectValue : geometry.h
- AssignImageColors() : quantize.c
- AssignImageTag : quantize.c
- AssociateAlphaPixel() : quantize.c
- AsynchronousDestroyMagickResources() : resource.c , resource_.h
- Atop() : composite.c
- AtopCompositeOp : composite.h
- AttachBlob() : blob.c , blob-private.h
- AutoReverseAnimationState : animate.c
- AutoReverseCommand : animate.c
- AverageImages() : image.h , image.c
- AverageImageTag : image.c
- AverageInterpolatePixel : resample.h